.baoxin_history {
  padding: 100px 0;
}
.baoxin_history_title {
  color: #000;
  text-align: center;
  font-size: clamp(24px, 1.9vw, 36px);
  text-transform: capitalize;
  font-family: var(--title-font-family);
}
.baoxin_history_subTitle {
  color: #666;
  text-align: center;
  font-size: 18px;
  line-height: 24px;
  margin: 20px auto;
  width: 45%;
}

/* Ã¦â€”Â¶Ã©â€”Â´Ã¨Â½Â´Ã¦Â Â·Ã¥Â¼Â */
.history-items {
  margin-top: 60px;
}

.timeline-container {
  width: 100%;
  position: relative;
  transition: height 0.3s ease; /* Ã¦Â·Â»Ã¥Å Â Ã©Â«ËœÃ¥ÂºÂ¦Ã¥ÂËœÃ¥Å’â€“Ã¨Â¿â€¡Ã¦Â¸Â¡Ã¥Å Â¨Ã§â€Â» */
}

/* Ã¦â€”Â¶Ã©â€”Â´Ã¨Â½Â´Ã¥Â¯Â¼Ã¨Ë†ÂªÃ¦Â Â·Ã¥Â¼Â */
.timeline-navigation {
  margin-bottom: 60px;
  position: relative;
}

.timeline-swiper {
  width: 100%;
  overflow: visible;
  position: relative;
}

/* Ã¦â€”Â¶Ã©â€”Â´Ã¨Â½Â´Ã¦Â¨ÂªÃ§ÂºÂ¿ */
.baoxin_history .timeline-swiper::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  height: 2px;
  opacity: 0.99;
  background: #ccc;
  transform: translateY(-50%);
  z-index: 1;
}

/* Ã¦â€”Â¶Ã©â€”Â´Ã¨Â½Â´Ã©Â¡Â¹Ã§â€ºÂ®Ã¦Â Â·Ã¥Â¼Â */
.timeline-slide {
  text-align: center;
  cursor: pointer;
  transition: all 0.3s ease;
  position: relative;
  z-index: 2;
}

.timeline-slide .timeline-dot {
  position: absolute;
  top: 36px;
  left: 50%;
  transform: translateX(-50%);
  width: 18px;
  height: 18px;
  background: #ccc;
  border-radius: 50%;
  transition: all 0.3s ease;
}
.timeline-slide.active .timeline-dot,
.timeline-slide:hover .timeline-dot {
  width: 18px;
  height: 18px;
  background: #fff;
  border: 4px solid var(--color-primary);
}
.timeline-slide h4 {
  color: #666;
  text-align: center;
  font-size: clamp(14px, 1.3vw, 24px);
  font-weight: 700;
  line-height: normal;
  transition: all 0.3s ease;
}

.timeline-slide.active h4,
.timeline-slide:hover h4 {
  color: var(--color-primary);
  font-weight: 900;
}
.baoxin_history .timeline-slide:nth-child(2n + 1) h4 {
  margin-top: 60px;
}

.timeline-content .swiper-slide {
  width: 100%;
  display: flex;
  align-items: center;
  overflow: hidden;
}
.baoxin_history .timeline-content-item-img {
  width: 58%;
  border-radius: 10px;
  overflow: hidden;
}
.baoxin_history .timeline-content-item-content {
  width: 100%;
  text-align: center;
}
.timeline-content .timeline-content-item-title {
  color: #000;
  font-size: 48px;
  font-weight: 900;
  line-height: normal;
  text-transform: capitalize;
  text-align: center;
  margin-right: 54px;
}
.timeline-content .timeline-content-item-desc {
  background: #f3f3f3;
  padding: 66px 54px;
  color: #333;
  font-size: 24px;
  font-weight: 400;
  line-height: 29px;
  margin-top: 30px;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 6;
  overflow: hidden;
  text-overflow: ellipsis;
}
.baoxin_history .timeline-content-item-img img {
  width: 100%;
  height: auto;
  aspect-ratio: 16/10;
  object-fit: cover;
}
@media screen and (max-width: 1500px) {
  .baoxin_history_subTitle {
    width: 52%;
  }
  .timeline-content .timeline-content-item-desc {
    padding: 40px 30px;
  }
}
@media screen and (max-width: 1200px) {

  .baoxin_history_subTitle {
    width: 62%;
  }
  .timeline-content .timeline-content-item-desc {
    font-size: 18px;
  }
}
@media screen and (max-width: 992px) {
  .baoxin_history .timeline-content-item-img {
    width: 100%;
    border-radius: 10px;
    overflow: hidden;
  }
  .baoxin_history .timeline-content-item-content {
    width: 100%;
  }
  .baoxin_history {
    padding: 30px 0;
  }
  .baoxin_history_title {
    text-align: left;
  }
  .baoxin_history_subTitle {
    text-align: left;
    font-size: 16px;
    margin: 16px auto 20px;
    width: 100%;
  }
  .baoxin_history .row {
    flex-wrap: nowrap;
    margin: 0;
  }
  .baoxin_history .timeline-content-item {
    flex-direction: column;
    background: #f3f3f3;
    padding: 14px 16px;
  }
  .baoxin_history .timeline-content-item-title {
    display: none;
  }
  .baoxin_history .timeline-content-item-desc {
    padding: 0;
    -webkit-line-clamp: 100;
  }
  .baoxin_history .timeline-swiper::before {
    width: 2px;
    height: 100%;
    transform: translateY(0%);
    top: 0;
    left: 0%;
  }
  .timeline-navigation,
  .baoxin_history .timeline-slide:nth-child(2n + 1) h4 {
    margin-bottom: 0;
    margin-top: 0;
  }
  .baoxin_history .timeline-slide h4 {

    font-weight: 400;
    line-height: 24px;
    padding: 0px 20px 0 10px;
  }
  .timeline-slide.active h4::before {
    content: "";
    position: absolute;
    top: 4px;
    left: 0;
    width: 2px;
    height: 15px;
    background: var(--color-primary);
  }
  .baoxin_history .timeline-navigation {
    height: calc(55px * 9) !important;
    overflow: hidden;
  }
  .baoxin_history .timeline-navigation .swiper-slide {
    height: 55px !important;
  }
  .history-items {
    margin-top: 20px;
  }
}

@media screen and (max-width: 991px) {
  .baoxin_history_title {
    text-align: left;
  }
  .baoxin_history .timeline-navigation {
    height: calc(45px * 9) !important;
    overflow: hidden;
  }
  .baoxin_history .timeline-navigation .swiper-slide {
    height: 45px !important;
  }
  .timeline-content .timeline-content-item-desc {
    font-size: 16px;
  }
}

@media screen and (max-width: 576px) {
.baoxin_history .timeline-navigation .swiper-slide {height: 32px !important;}
.timeline-content .timeline-content-item-desc {font-size: 14px;}
.baoxin_history .timeline-navigation {height: calc(29px * 9) !important;}
}
